using System;
using System.Data;
using System.Globalization;
using System.Resources;
using System.Threading;
using System.Web.UI;
using System.Web.UI.WebControls;
/****************************************************************************************************************************
* Project Name    : TimeCheck                                        Started Date  : 12-Aug-2007
* Module          : Generic Master                                   Last Modified : 16-Aug-2007
* Programmer      : Arun Vinoth.T
* Current Storage : \\Angler56\Projects\Inprogress\SCREEN1206\code\Time_AttendanceApp
* BackUp          :
****************************************************************************************************************************/
public partial class Masters_TA_UI_Master_StateAdd : Base.BasePage
{
    #region VariableDeclaration
    ResourceManager rm;
    CultureInfo ci;
    Cls_CheckUser objCheckUser = new Cls_CheckUser();
    DataSet ds_Checkuser = new DataSet();
    string strSetAlert;
    GenericEventdata objGeneric = new GenericEventdata();
    cls_Common objCommon = new cls_Common();
    int EmpID;
    #endregion
    #region PageLoad
    protected override void Page_Load(object sender, EventArgs e)
    {
        // session checking
        base.Page_Load(sender, e);
        EmpID = Convert.ToInt32(Session["EmpAutoID"].ToString());
        //get the culture info to set the language
        string source_Language;
        source_Language = Convert.ToString(Session["Session_ActiveLanguage"]);
        rm = new ResourceManager(source_Language, System.Reflection.Assembly.Load("App_GlobalResources"));
        ci = Thread.CurrentThread.CurrentCulture;
        site.SiteMapProvider = Convert.ToString(Session["SiteMapProvider"]);
        LoadStrings(ci);
        //Set UserRights
        UserRights();
        ddl_Country.Focus();
        if (!IsPostBack)
        {
            fillcountry();
            btn_add.OnClientClick = "if(Page_ClientValidate()) return confirm('" + rm.GetString("Alert_ConfirmSave", ci) + "');return false;";
            strSetAlert = strSetAlert + "<script language='javascript'>";
            strSetAlert = strSetAlert + "MaxLengthh('" + rm.GetString("Alert_MaximumLengthis", ci) + "');";
            strSetAlert = strSetAlert + "</script>";
            Page.RegisterStartupScript("MaxLengthh", strSetAlert);
            objCommon.menu("EmployeeMaster", "226");
        }
    }
    #endregion
    #region ButtonEvents
    protected void btn_add_Click(object sender, EventArgs e)
    {
        int country = Convert.ToInt32(ddl_Country.SelectedValue);
        string state = txt_StateName.Text.Trim().Replace("'", "''");
        int StateCount = objGeneric.CheckStateCityInsertUpdate("I", 0, state, country, 2);
        if (StateCount > 0)
        {
            //lblError.Text = rm.GetString("Masters_Generic_State_Already_Declared", ci);
            base.Message(rm.GetString("Masters_Generic_State_Already_Declared", ci));
        }
        else
        {
            objGeneric.Insertstate(state, country, EmpID);
            string str = "alert('" + rm.GetString("Alert_Statesavedsuccessfully", ci) + "');location.replace('TA_UI_Master_StateList.aspx');";
            Page.ClientScript.RegisterStartupScript(this.GetType(), "alertBox", str, true);
            // Response.Redirect("TA_UI_Master_StateList.aspx");
        }
    }
    protected void btn_Cancel_Click(object sender, EventArgs e)
    {
        Response.Redirect("TA_UI_Master_StateList.aspx");
    }
    #endregion
    #region UserDefinedFunctions
    //fill country dropdown
    private void fillcountry()
    {
        DataSet ds_country = new DataSet();
        string userGroupName = string.Empty;
        ds_country = objGeneric.Getcountries(userGroupName);
        if (ds_country.Tables[0].Rows.Count > 0)
        {
            ddl_Country.DataSource = ds_country;
            ddl_Country.DataTextField = "country";
            ddl_Country.DataValueField = "ID";
            ddl_Country.DataBind();
        }
        ds_country.Dispose();
        foreach (ListItem item in ddl_Country.Items)
        {
            item.Attributes.Add("title", item.Text);
        }
    }
    //Getting Information from resource file and display it in label
    private void LoadStrings(CultureInfo ci)
    {
        lbl_CountryName.Text = rm.GetString("Country_Name", ci);
        lbl_StateName.Text = rm.GetString("State_Name", ci);
        lbl_IndicatesMandatoryFields.Text = rm.GetString("IndicatesMandatoryFields", ci);
        RequiredFieldValidator1.ErrorMessage = rm.GetString("Validator_State_CountryName", ci);
        RequiredFieldValidator3.ErrorMessage = rm.GetString("Validator_State_StateName", ci);
        lbl_HeaderState.Text = rm.GetString("Masters_Generic_State", ci);
        btn_add.Text = "&nbsp;&nbsp;" + rm.GetString("btn_Save", ci);
        btn_Cancel.Text = "&nbsp;&nbsp;" + rm.GetString("btn_Back", ci);
        ddl_Country.Items[0].Text = rm.GetString("Select", ci);
    }
    private void UserRights()
    {
        ds_Checkuser = objCheckUser.checkRights(226, Convert.ToInt32(Session["userGroup_Id"]), "addPrv");
        if (ds_Checkuser.Tables[0].Rows.Count == 0)
        {
            Response.Redirect("MasterLandingPage.aspx");
        }
        else
        {
            //   
        }
    }
    protected void ddl_Country_DataBound(object sender, EventArgs e)
    {
        DropDownList ddl = sender as DropDownList;
        if (ddl != null)
        {
            foreach (ListItem li in ddl.Items)
            {
                li.Attributes["title"] = li.Text;
            }
        }
    }
    #endregion
}
